> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Address

> Create a new address for the current user.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/addresses
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/addresses:
    post:
      tags:
        - addresses
      summary: Create Address
      description: Create a new address for the current user.
      operationId: create_address_api_v1_addresses_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddressCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_AddressOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AddressCreate:
      properties:
        type:
          type: string
          title: Type
          default: shipping
        full_name:
          type: string
          title: Full Name
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        street:
          type: string
          title: Street
        street2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street2
        city:
          type: string
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        postal_code:
          type: string
          title: Postal Code
        country:
          type: string
          title: Country
          default: IT
        is_default:
          type: boolean
          title: Is Default
          default: false
      type: object
      required:
        - full_name
        - street
        - city
        - postal_code
      title: AddressCreate
    ApiResponse_AddressOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/AddressOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[AddressOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AddressOut:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          title: Type
        full_name:
          type: string
          title: Full Name
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        street:
          type: string
          title: Street
        street2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street2
        city:
          type: string
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        postal_code:
          type: string
          title: Postal Code
        country:
          type: string
          title: Country
        is_default:
          type: boolean
          title: Is Default
      type: object
      required:
        - id
        - type
        - full_name
        - phone
        - street
        - street2
        - city
        - state
        - postal_code
        - country
        - is_default
      title: AddressOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````